SDL_CreateTLS(3)

NAME
SDL_CreateTLS - Create a piece of thread-local storage.

HEADER FILE
Defined in SDL3/SDL_thread.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_TLSID SDL_CreateTLS(void);

DESCRIPTION
This creates an identifier that is globally visible to all threads but refers to data that is thread-specific.

RETURN VALUE
Returns the newly created thread local storage identifier or 0 on error.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetTLS(3), SDL_SetTLS(3)